"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.scssImport = void 0;
const schematics_utilities_1 = require("schematics-utilities");
const workspace_1 = require("./workspace");
function scssImport(_options) {
    return workspace_1.updateWorkspace(workspace => {
        const project = workspace.projects.get(_options.project);
        if (project) {
            for (const [, target] of project.targets) {
                if (target.builder === schematics_utilities_1.Builders.Browser || target.builder === schematics_utilities_1.Builders.Karma) {
                    target.options = Object.assign(Object.assign({}, (target.options || {})), {
                        "stylePreprocessorOptions": {
                            "includePaths": [
                                "src/app/scss"
                            ]
                        }
                    });
                }
            }
        }
    });
}
exports.scssImport = scssImport;
//# sourceMappingURL=index.js.map