"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsImportPath = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const schematics_utilities_1 = require("schematics-utilities");
const angular_schematic_utils_1 = require("@objectivity/angular-schematic-utils");
const json_file_1 = require("./json-file");
function tsImportPath(options) {
    return (_tree, _context) => {
        return schematics_1.chain([
            updateTsConfig(options)
        ]);
    };
}
exports.tsImportPath = tsImportPath;
function updateTsConfig(options) {
    return (tree, _context) => {
        const workspace = schematics_utilities_1.getWorkspace(tree);
        const projectName = options.project;
        const workspaceProject = schematics_utilities_1.getProjectFromWorkspace(workspace, projectName);
        const projectPath = angular_schematic_utils_1.trimSlashes(schematics_utilities_1.buildDefaultPath(workspaceProject));
        const projectEnvPath = angular_schematic_utils_1.trimSlashes(angular_schematic_utils_1.getProjectEnvironmentPath(workspaceProject));
        const projectKey = `@${projectName}/*`;
        const projectEnvKey = `@${projectName}-env/*`;
        const pathToProject = {
            [projectKey]: [`${projectPath}/*`],
            [projectEnvKey]: [`${projectEnvPath}/*`],
        };
        const json = new json_file_1.JSONFile(tree, 'tsconfig.json');
        if (pathToProject) {
            json.modify(['compilerOptions', 'paths'], pathToProject);
        }
    };
}
//# sourceMappingURL=index.js.map